<template>
  <svn-tiptap
    :size="size"
    :html-data="htmlData"
    :is-editable="isEditable"
    :extension-left-menu="true"
    :extension-selection="AllTipTapPlugins"
    :extension-slash-command="AllTipTapPlugins"
    :create-image-url="`/api/v1/editor_contents/upload_image`"
  />
</template>

<script setup>
import SvnTiptap from '../../components/editor/SvnTiptap.vue';
import { AllTipTapPlugins } from '../../components/editor/extensions';

const props = defineProps({
  size: {
    type: String,
    default: "default",
  },
  htmlData: {
    type: String,
    default: '🔥Vue.js + Tiptap Block Editor Template',
  },
  withBorder: {
    type: Boolean,
    default: true,
  },
  withPadding: {
    type: Boolean,
    default: true,
  },
  isEditable: {
    type: Boolean,
    default: true,
  },
  extensionLeftMenu: {
    type: Boolean,
    default: false,
  },
})
</script>